{
  "reducer_type": "backup",
  "backup_state": "AUTHENTICATIONS_EDITING",
  "continents": [
    {
      "name": "Europe"
    },
    {
      "name": "India"
    },
    {
      "name": "Asia"
    },
    {
      "name": "North America"
    },
    {
      "name": "Demoworld"
    }
  ],
  "countries": [
    {
      "code": "xx",
      "name": "Testland",
      "continent": "Demoworld",
      "call_code": "+0"
    }
  ],
  "required_attributes": [
    {
      "type": "string",
      "name": "full_name",
      "label": "Full name",
      "widget": "anastasis_gtk_ia_full_name",
      "uuid": "9e8f463f-575f-42cb-85f3-759559997331"
    },
    {
      "type": "date",
      "name": "birthdate",
      "label": "Birthdate",
      "widget": "anastasis_gtk_ia_birthdate",
      "uuid": "83d655c7-bdb6-484d-904e-80c1058c8854"
    },
    {
      "type": "string",
      "name": "prime_number",
      "label": "Prime number",
      "widget": "anastasis_gtk_xx_prime",
      "uuid": "39190a95-cacb-4412-8bae-1f7da3f980b4",
      "tooltip": "Mathematics is fun",
      "validation-regex": "^[0-9]+$",
      "validation-logic": "XY_PRIME_check",
      "optional": true
    },
    {
      "type": "string",
      "name": "sq_number",
      "label": "Square number",
      "widget": "anastasis_gtk_xx_square",
      "uuid": "ed790bca-89bf-11eb-96f2-233996cf644e",
      "tooltip": "Mathematics is fun",
      "validation-regex": "^[0-9]+$",
      "validation-logic": "XX_SQUARE_check"
    }
  ],
  "authentication_providers": {
    "http://localhost:8086/": {
      "status": "ok",
      "methods": [
        {
          "type": "question",
          "usage_fee": "TESTKUDOS:0"
        }
      ],
      "annual_fee": "TESTKUDOS:4.99",
      "truth_upload_fee": "TESTKUDOS:0.01",
      "liability_limit": "TESTKUDOS:1",
      "business_name": "Data loss #1 Inc.",
      "storage_limit_in_megabytes": 1,
      "provider_salt": "7QK4QVG6HBDJVGFMDGC1AJMSCG",
      "http_status": 200
    },
    "http://localhost:8087/": {
      "status": "ok",
      "methods": [
        {
          "type": "question",
          "usage_fee": "TESTKUDOS:0"
        }
      ],
      "annual_fee": "TESTKUDOS:4.99",
      "truth_upload_fee": "TESTKUDOS:0.01",
      "liability_limit": "TESTKUDOS:1",
      "business_name": "Data loss #2 Inc.",
      "storage_limit_in_megabytes": 1,
      "provider_salt": "C0X46TB9ENWDD5VFW1NXQEGDQ8",
      "http_status": 200
    },
    "http://localhost:8088/": {
      "status": "ok",
      "methods": [
        {
          "type": "question",
          "usage_fee": "TESTKUDOS:0"
        }
      ],
      "annual_fee": "TESTKUDOS:4.99",
      "truth_upload_fee": "TESTKUDOS:0.01",
      "liability_limit": "TESTKUDOS:1",
      "business_name": "Data loss #3 Inc.",
      "storage_limit_in_megabytes": 1,
      "provider_salt": "65S8KJ1AEJGJTG3DCT9FSPDQDR",
      "http_status": 200
    },
    "http://localhost:8089/": {
      "status": "ok",
      "methods": [
        {
          "type": "question",
          "usage_fee": "TESTKUDOS:0"
        }
      ],
      "annual_fee": "TESTKUDOS:4.99",
      "truth_upload_fee": "TESTKUDOS:0.01",
      "liability_limit": "TESTKUDOS:1",
      "business_name": "Data loss #4 Inc.",
      "storage_limit_in_megabytes": 1,
      "provider_salt": "NJ7KTFQMAZVB835VBHCGDKCTF0",
      "http_status": 200
    }
  },
  "identity_attributes": {
    "full_name": "Max Musterman",
    "sq_number": "4",
    "birthdate": "2000-01-01"
  },
  "selected_continent": "Demoworld",
  "selected_country": "xx",
  "authentication_methods": [
    {
      "type": "question",
      "instructions": "What is your name?",
      "challenge": "91GPWWR"
    },
    {
      "type": "question",
      "instructions": "How old are you?",
      "challenge": "6GS0"
    },
    {
      "type": "question",
      "instructions": "Where do you live?",
      "challenge": "89JQ4VG"
    }
  ]
}
